Package org.sunflow.image.readers

# Class TGABitmapReader

java.lang.Object
org.sunflow.image.readers.TGABitmapReader

All Implemented Interfaces:
  `BitmapReader`

public class TGABitmapReader extends Object implements BitmapReader

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.sunflow.image.BitmapReader

`BitmapReader.BitmapFormatException`

## Constructor Summary

Constructors
Constructor
Description
`TGABitmapReader()`

## Method Summary

Modifier and Type
Method
Description
`Bitmap`
`load(String filename, boolean isLinear)`
Load the specified filename.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TGABitmapReader

public TGABitmapReader()

## Method Details

### load

public Bitmap load(String filename, boolean isLinear) throws IOException, BitmapReader.BitmapFormatException
Description copied from interface: `BitmapReader`
Load the specified filename. This method should throw exception if it encounters any errors. If the file is valid but its contents are not (invalid header for example), a `BitmapReader.BitmapFormatException` may be thrown. It is an error for this method to return `null`.

Specified by:
  `load` in interface `BitmapReader`
Parameters:
  `filename` - image filename to load
  `isLinear` - if this is `true`, the bitmap is assumed to be already in linear space. This can be usefull when reading greyscale images for bump mapping for example. HDR formats can ignore this flag since they usually always store data in linear form.
Returns:
  a new `Bitmap` object
Throws:
  `IOException`
  `BitmapReader.BitmapFormatException`